Browse Source

Merge "Add host package update to upgrade procedures"

tags/4.0.0
Zuul 7 months ago
parent
commit
4f829bf6ae
1 changed files with 40 additions and 2 deletions
  1. 40
    2
      doc/source/upgrading.rst

+ 40
- 2
doc/source/upgrading.rst View File

@@ -94,8 +94,29 @@ instead perform a targeted upgrade of specific services where necessary.
94 94
 Upgrading the Seed
95 95
 ==================
96 96
 
97
-Currently, upgrading the seed services is not supported.  It may however be
98
-necessary to upgrade some host services::
97
+Currently, upgrading the seed services is not supported.
98
+
99
+Upgrading Host Packages
100
+-----------------------
101
+
102
+Prior to upgrading the seed, it may be desirable to upgrade system packages on
103
+the seed host.
104
+
105
+To update all eligible packages, use ``*``, escaping if necessary::
106
+
107
+    (kayobe) $ kayobe seed host package update --packages *
108
+
109
+To only install updates that have been marked security related::
110
+
111
+    (kayobe) $ kayobe seed host package update --packages <packages> --security
112
+
113
+Note that these commands do not affect packages installed in containers, only
114
+those installed on the host.
115
+
116
+Upgrading Host Services
117
+-----------------------
118
+
119
+It may be necessary to upgrade some host services::
99 120
 
100 121
     (kayobe) $ kayobe seed host upgrade
101 122
 
@@ -110,6 +131,23 @@ should be obtained either by building them locally or pulling them from an
110 131
 image registry.  Second, the overcloud services should be replaced with new
111 132
 containers created from the new container images.
112 133
 
134
+Upgrading Host Packages
135
+-----------------------
136
+
137
+Prior to upgrading the OpenStack control plane, it may be desirable to upgrade
138
+system packages on the overcloud hosts.
139
+
140
+To update all eligible packages, use ``*``, escaping if necessary::
141
+
142
+    (kayobe) $ kayobe overcloud host package update --packages *
143
+
144
+To only install updates that have been marked security related::
145
+
146
+    (kayobe) $ kayobe overcloud host package update --packages <packages> --security
147
+
148
+Note that these commands do not affect packages installed in containers, only
149
+those installed on the host.
150
+
113 151
 Upgrading Host Services
114 152
 -----------------------
115 153
 

Loading…
Cancel
Save